Package org.apache.syncope.core.persistence.jpa.upgrade

# Class PersistenceUpgraderContext

java.lang.Object
org.apache.syncope.core.persistence.jpa.upgrade.PersistenceUpgraderContext

@Configuration(proxyBeanMethods=false) public class PersistenceUpgraderContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`PersistenceUpgraderContext()`

## Method Summary

Modifier and Type
Method
Description
`GenerateUpgradeSQL`
`generateUpgradeSQL(org.apache.openjpa.jdbc.conf.JDBCConfiguration jdbcConf)`
`org.apache.openjpa.jdbc.conf.JDBCConfiguration`
`jdbcConf(DataSource syncopeDataSource, String jdbcDriver, String dbDictionary, String dbSchema)`
`DataSource`
`syncopeDataSource(String jdbcDriver, String jdbcURL, String dbUser, String dbPassword)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PersistenceUpgraderContext

public PersistenceUpgraderContext()

## Method Details

### syncopeDataSource

@Bean public DataSource syncopeDataSource(@Value("${db.jdbcDriverClassName}") String jdbcDriver, @Value("${db.jdbcURL}") String jdbcURL, @Value("${db.username}") String dbUser, @Value("${db.password}") String dbPassword)

### jdbcConf

@Bean public org.apache.openjpa.jdbc.conf.JDBCConfiguration jdbcConf(DataSource syncopeDataSource, @Value("${db.jdbcDriverClassName}") String jdbcDriver, @Value("${db.dictionary}") String dbDictionary, @Value("${db.schema}") String dbSchema)

### generateUpgradeSQL

@Bean public GenerateUpgradeSQL generateUpgradeSQL(org.apache.openjpa.jdbc.conf.JDBCConfiguration jdbcConf)